CFG80211_ROAMED(9)

NAME
cfg80211_roamed - notify cfg80211 of roaming

SYNOPSIS

void cfg80211_roamed(struct net_device * dev, struct ieee80211_channel * channel, const u8 * bssid, const u8 * req_ie, size_t req_ie_len, const u8 * resp_ie, size_t resp_ie_len, gfp_t gfp);

ARGUMENTS

dev
    network device

channel
    the channel of the new AP

bssid
    the BSSID of the new AP

req_ie
    association request IEs (maybe be NULL)

req_ie_len
    association request IEs length

resp_ie
    association response IEs (may be NULL)

resp_ie_len
    assoc response IEs length

gfp
    allocation flags

DESCRIPTION

It should be called by the underlying driver whenever it roamed from one AP to another while connected.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT